// 列出国家信息的pinia
export const useCountryInfoStore = defineStore('countryInfo', () => {
	const Countries = [
		{ name: '美国', code: 'US', color: '#3C3B6E' }, // 深蓝色
		{ name: '英国', code: 'UK', color: '#00247D' }, // 深蓝色
		{ name: '德国', code: 'DE', color: '#000000' }, // 黑色
		{ name: '法国', code: 'FR', color: '#002395' }, // 深蓝色
		{ name: '西班牙', code: 'ES', color: '#AA151B' }, // 红色
		{ name: '意大利', code: 'IT', color: '#008C45' }, // 绿色
		{ name: '日本', code: 'JP', color: '#BC002D' }, // 红色
		{ name: '加拿大', code: 'CA', color: '#FF0000' }, // 红色
		{ name: '比利时', code: 'BE', color: '#FFD700' }, // 金色
		{ name: '荷兰', code: 'NL', color: '#21468B' }, // 深蓝色
		{ name: '巴西', code: 'BR', color: '#009C3B' },
		{ name: '澳大利亚', code: 'AU', color: '#002868' }, // 深蓝色
		{ name: '俄罗斯', code: 'RU', color: '#0033A0' }, // 深蓝色
		{ name: '墨西哥', code: 'MX', color: '#006847' }, // 绿色
		{ name: '沙特阿拉伯', code: 'SA', color: '#006C35' }, // 绿色
		{ name: '阿联酋', code: 'AE', color: '#00732F' }, // 绿色
		{ name: '澳洲', code: 'AU', color: '#002868' }, // 深蓝色
		{ name: '波兰', code: 'PL', color: '#D22630' }, // 红色
		{ name: '菲律宾', code: 'PH', color: '#0038A8' }, // 蓝色
		{ name: '韩国', code: 'KR', color: '#003478' }, // 深蓝色
		{ name: '马来西亚', code: 'MY', color: '#010066' }, // 深蓝色
		{ name: '葡萄牙', code: 'PT', color: '#006600' }, // 绿色
		{ name: '泰国', code: 'TH', color: '#A51931' }, // 红色
		{ name: '新加坡', code: 'SG', color: '#ED2939' }, // 红色
	];

	const Region = [
		{ name: '北美站', code: 'NA', color: '#3C3B6E' }, // 深蓝色
		{ name: '欧洲站', code: 'EU', color: '#00247D' }, // 深蓝色
		{ name: '日本站', code: 'JP', color: '#BC002D' }, // 红色
		{ name: '澳大利亚站', code: 'AU', color: '#002868' }, // 深蓝色
		{ name: '新加坡站', code: 'SG', color: '#ED2939' }, // 红色
		{ name: '中东站', code: 'ME', color: '#006C35' }, // 绿色
	];

	const CurrencyCodes = [
		{ code: 'USD', color: '#4B9CD3' }, // 浅蓝
		{ code: 'EUR', color: '#A0A0A0' }, // 灰色
		{ code: 'GBP', color: '#00247D' }, // 深蓝
		{ code: 'CAD', color: '#D95F0E' }, // 橙色
		{ code: 'JPY', color: '#BC002D' }, // 红色
		{ code: 'AUD', color: '#008C45' }, // 绿色
		{ code: 'KRW', color: '#3B5C8A' }, // 深蓝
		{ code: 'PHP', color: '#5F9EA0' }, // 青色
		{ code: 'SGD', color: '#ED2939' }, // 红色
		{ code: 'MYR', color: '#FFB84D' }, // 黄色
		{ code: 'THB', color: '#A51931' }, // 深红
		{ code: 'CNY', color: '#C60000' }, // 红色
		{ code: 'AED', color: '#FFD700' }, // 金色
		{ code: 'SAR', color: '#006C35' }, // 深绿色
		{ code: 'PLN', color: '#D22630' }, // 红色
	];

	const endpoints = [
		{ code: 'US', endpoint: 'www.amazon.com', currency: '$' },  // 美国
		{ code: 'UK', endpoint: 'www.amazon.co.uk', currency: '£' },  // 英国
		{ code: 'DE', endpoint: 'www.amazon.de', currency: '€' },  // 德国
		{ code: 'FR', endpoint: 'www.amazon.fr', currency: '€' },  // 法国
		{ code: 'ES', endpoint: 'www.amazon.es', currency: '€' },  // 西班牙
		{ code: 'IT', endpoint: 'www.amazon.it', currency: '€' },  // 意大利
		{ code: 'JP', endpoint: 'www.amazon.co.jp', currency: '￥' },  // 日本
		{ code: 'CA', endpoint: 'www.amazon.ca', currency: '$' },  // 加拿大
		{ code: 'BE', endpoint: 'www.amazon.com.be', currency: '€' },  // 比利时
		{ code: 'NL', endpoint: 'www.amazon.nl', currency: '€' },  // 荷兰
		{ code: 'AU', endpoint: 'www.amazon.com.au', currency: '$' },  // 澳大利亚
		{ code: 'MX', endpoint: 'www.amazon.com.mx', currency: '$' },  // 墨西哥
		{ code: 'BR', endpoint: 'www.amazon.com.br', currency: 'R$' },  // 巴西
		{ code: 'AE', endpoint: 'www.amazon.ae', currency: 'درهم' },  // 阿拉伯联合酋长国
		{ code: 'SA', endpoint: 'www.amazon.sa', currency: 'SAR' }   // 沙特阿拉伯
	];

	return { Countries, Region, CurrencyCodes , endpoints };
});
